Class(function(extend, using, self){
    extend("pages/page");
    using("lib/jquery.min.js");

    self.exit_ref = null;

    self.initPage = function(){

    }

    self.initEvent = function(){
        var that = this;
        // 确定按钮
        $(document).delegate(".btn-box button:eq(0)", "click", function () {
            var option = 0;
            if($("#sample-id-1").is(":checked") == true) {
                option = 1;
            }
            var savecheck = $("#sample-id-3").is(":checked");
            that.exit_ref.btn_apply( option, savecheck);
        });

        /* 取消按钮*/
        $(document).delegate(".btn-box button:eq(1)", "click", function () {
            that.exit_ref.btn_cancel();
        });
    }

    self.func(function(curData){
        this.exit_ref = curData; //exitconfirm;
        this.sup().constructor();
        this.initPage();
        this.initEvent();
    })
})

//Audio.Exit = Audio.Exit || {
//    exit_ref:null,
//    initPage: function () {
//
//    }
//};
//
//(function () {
//    /* 确定按钮*/
//    $(document).delegate(".btn-box button:eq(0)", "click", function () {
//        var option = 0;
//        if($("#sample-id-1").is(":checked") == true) {
//            option = 1;
//        }
//        var savecheck = $("#sample-id-3").is(":checked");
//        Audio.Exit.exit_ref.btn_apply( option, savecheck);
//    });
//
//    /* 取消按钮*/
//    $(document).delegate(".btn-box button:eq(1)", "click", function () {
//        Audio.Exit.exit_ref.btn_cancel();
//    });
//
//
//})();
//
//window.onload = function () {Audio.Exit.exit_ref = exitconfirm;Audio.Exit.initPage();}